# Transfer variable name suffix to label in widened data — suffix2label • REDCapCAST
Transfer variable name suffix to label in widened data

Skip to contents

# Transfer variable name suffix to label in widened data

Source: `R/redcap_wider.R`
`suffix2label.Rd`

Transfer variable name suffix to label in widened data

## Usage

    suffix2label(
      data,
      suffix.sep = "____",
      attr = "label",
      glue.str = "{label} ({paste(suffixes,collapse=', ')})"
    )

## Arguments

data

  data.frame

suffix.sep

  string to split suffix(es). Passed to strsplit

attr

  label attribute. Default is "label"

glue.str

  glue string for new label. Available variables are "label" and "suffixes"

## Value

data.frame